import { FC, ReactElement } from 'react';
import { ChartProps } from '../common/containers';
import { ChartShallowDataShape } from '../common/data';
import { FunnelSeries, FunnelSeriesProps } from './FunnelSeries/FunnelSeries';
export interface FunnelChartProps extends ChartProps {
    /**
     * Chart shape used to render the funnel.
     */
    data: ChartShallowDataShape[];
    /**
     * The series component that renders the funnel components.
     */
    series: ReactElement<FunnelSeriesProps, typeof FunnelSeries>;
}
export declare const FunnelChart: FC<Partial<FunnelChartProps>>;
