import { FC } from 'react';
import { ChartShallowDataShape } from '../../../common/data';
export interface FunnelAxisLabelProps {
    /**
     * Data object for the label. Set internally by `FunnelAxis`.
     */
    data: ChartShallowDataShape;
    /**
     * Index of the label. Set internally by `FunnelAxis`.
     */
    index: number;
    /**
     * Color of the text.
     */
    fill: string;
    /**
     * Font size of the text.
     */
    fontSize: number;
    /**
     * Font family of the text.
     */
    fontFamily: string;
    /**
     * Padding of the label.
     */
    padding?: number;
    /**
     * Class name to apply to the text.
     */
    className?: string;
    /**
     * xScale for the funnel. Set internally by `FunnelAxis`.
     */
    xScale: any;
    /**
     * yScale for the funnel. Set internally by `FunnelAxis`.
     */
    yScale: any;
    /**
     * Positioning of the label.
     */
    position?: 'top' | 'middle' | 'bottom';
    /**
     * Whether to show the value of the data.
     * Defaults to `true`.
     */
    showValue?: boolean;
    /**
     * Visibility of the label.
     */
    labelVisibility?: 'auto' | 'always';
}
export declare const FunnelAxisLabel: FC<Partial<FunnelAxisLabelProps>>;
