import React, { FC, ReactElement } from 'react';
import { MeterColumn, MeterColumnProps } from './MeterColumn';
export interface MeterProps {
    /**
     * The value of the meter.
     */
    value: number;
    /**
     * The minimum value of the meter.
     */
    min?: number;
    /**
     * The maximum value of the meter.
     */
    max?: number;
    /**
     * The number of columns to display.
     */
    columns?: number;
    /**
     * Additional class names to apply.
     */
    className?: string;
    /**
     * The gap between columns.
     */
    gap?: number;
    /**
     * Additional styles to apply.
     */
    style?: React.CSSProperties;
    /**
     * The column to render.
     */
    column: ReactElement<MeterColumnProps, typeof MeterColumn> | null;
}
export declare const Meter: FC<Partial<MeterProps>>;
