import { FC } from 'react';
export interface MeterColumnProps {
    /**
     * The value of the meter.
     */
    value: number;
    /**
     * The height of the column.
     */
    height?: number;
    /**
     * The index of the column.
     */
    index: number;
    /**
     * The scale to use.
     */
    scale: any;
    /**
     * The active fill color.
     */
    activeFill: string;
    /**
     * The inactive fill color.
     */
    inActiveFill: string;
    /**
     * Additional class names to apply.
     */
    className?: string;
    /**
     * The total number of columns. Set internally.
     */
    count?: number;
    /**
     * Whether to animate the column.
     */
    animated?: boolean;
}
export declare const MeterColumn: FC<Partial<MeterColumnProps>>;
