import { ReactElement, FC } from 'react';
import { ChartDataShape } from '../common/data';
import { ChartProps } from '../common/containers';
import { RadialAreaSeries, RadialAreaSeriesProps } from './RadialAreaSeries';
import { RadialAxis, RadialAxisProps } from '../common/Axis/RadialAxis';
export interface RadialAreaChartProps extends ChartProps {
    /**
     * Data the chart will receive to render.
     */
    data: ChartDataShape[];
    /**
     * The series component that renders the area components.
     */
    series: ReactElement<RadialAreaSeriesProps, typeof RadialAreaSeries>;
    /**
     * The radial axis component for the chart.
     */
    innerRadius: number;
    /**
     * The inner radius for the chart center.
     */
    axis: ReactElement<RadialAxisProps, typeof RadialAxis> | null;
    /**
     * Start angle for the first value.
     */
    startAngle?: number;
    /**
     * End angle for the last value.
     */
    endAngle?: number;
    /**
     * Whether the curve should be closed. Set to true by deafult
     */
    isClosedCurve?: boolean;
}
export declare const RadialAreaChart: FC<Partial<RadialAreaChartProps>>;
