import { FC, ReactElement } from 'react';
import { ChartProps } from '../common/containers/ChartContainer';
import { ChartNestedDataShape, ChartShallowDataShape } from '../common/data';
import { TreeMapSeries, TreeMapSeriesProps } from './TreeMapSeries';
export interface TreeMapProps extends ChartProps {
    /**
     * Data the chart will receive to render.
     */
    data: ChartShallowDataShape[] | ChartNestedDataShape[];
    /**
     * The series component that renders the components.
     */
    series?: ReactElement<TreeMapSeriesProps, typeof TreeMapSeries>;
    /**
     * Inner padding for the treemap. Defaults to 5.
     */
    paddingInner?: number;
    /**
     * Outer padding for the treemap. Defaults to 5.
     */
    paddingOuter?: number;
    /**
     * Padding top for the treemap. This is used for the title
     * spacing in nested situations. Defaults to 30.
     */
    paddingTop?: number;
}
export declare const TreeMap: FC<Partial<TreeMapProps>>;
