import { FC } from 'react';
export interface RadialAxisArcProps {
    /**
     * Index of the arc.
     */
    index: number;
    /**
     * Scale to use for the arc.
     */
    scale: any;
    /**
     * Stroke color of the arc.
     */
    stroke: ((index: number) => string) | string;
    /**
     * Stroke dash array of the arc.
     */
    strokeDasharray: ((index: number) => string) | string;
    /**
     * Start angle for the first value.
     */
    startAngle?: number;
    /**
     * End angle for the last value.
     */
    endAngle?: number;
}
export declare const RadialAxisArc: FC<Partial<RadialAxisArcProps>>;
