import { FC, ReactElement } from 'react';
import { RadialAxisArc, RadialAxisArcProps } from './RadialAxisArc';
import { RadialAxisArcLine, RadialAxisArcLineProps } from './RadialAxisArcLine';
export interface RadialAxisArcSeriesProps {
    /**
     * Arc element to render.
     */
    arc: ReactElement<RadialAxisArcProps, typeof RadialAxisArc>;
    /**
     * Line element to render.
     */
    line: ReactElement<RadialAxisArcLineProps, typeof RadialAxisArcLine>;
    /**
     * Number of arcs to render.
     */
    count: number;
    /**
     * Inner radius of the arc.
     */
    innerRadius: number;
    /**
     * Outer radius of the arc.
     */
    outerRadius: number;
    /**
     * Calculated tick values by the Radial Axis.
     */
    tickValues?: any[];
    /**
     * Start angle for the first value.
     */
    startAngle?: number;
    /**
     * End angle for the last value.
     */
    endAngle?: number;
}
export declare const RadialAxisArcSeries: FC<Partial<RadialAxisArcSeriesProps>>;
