import { FC, ReactElement } from 'react';
import { RadialAxisTick, RadialAxisTickProps } from './RadialAxisTick';
import { TimeInterval } from 'd3-time';
export interface TickCallback {
    index?: number;
}
export interface RadialAxisTickSeriesProps {
    /**
     * Scale to use for the tick.
     */
    scale: any;
    /**
     * Number of ticks to render.
     */
    count?: number;
    /**
     * Interval between ticks.
     */
    interval?: number | TimeInterval;
    /**
     * Tick values to render.
     */
    tickValues: any[];
    /**
     * Outer radius of the arc.
     */
    outerRadius: number;
    /**
     * Type of the axis.
     */
    type: 'value' | 'category' | 'time' | 'duration';
    /**
     * Inner radius of the arc.
     */
    innerRadius: number;
    /**
     * Tick element to render.
     */
    tick: ((tick: TickCallback) => ReactElement<RadialAxisTickProps, typeof RadialAxisTick>) | ReactElement<RadialAxisTickProps, typeof RadialAxisTick>;
    /**
     * Start angle for the first value.
     */
    startAngle?: number;
    /**
     * End angle for the last value.
     */
    endAngle?: number;
}
export declare const RadialAxisTickSeries: FC<Partial<RadialAxisTickSeriesProps>>;
